import os
import random

import imLib.Repository as Repository
import imLib.utils as utils
import imLib.Tag as Tag

def getTagFiles():
	tagRepository = Repository.getTagRepository()
	cur, dirs, files = os.walk(tagRepository).next()
	return files

def run(args=None):
	count = None
	if args:
		count = int(args[0])
	files = getTagFiles()	
	random.shuffle(files)
	L = []
	for fname in files[:count]:
		L.append(Tag.Tag(utils.decode(fname)).toLink())
	return ', '.join(L) 
